## live-images 5.0~a5

=== Makefile ===
# Makefile

## live-images(7) - System Image Configurations
## Copyright (C) 2006-2014 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = images/*/auto/* images/*/config/hooks/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be obtained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing image configurations
	mkdir -p $(DESTDIR)/usr/share/live
	cp -a images $(DESTDIR)/usr/share/live

	# Installing shared data
	for IMAGE in $(DESTDIR)/usr/share/live/images/*; do cp VERSION $${IMAGE}/docs; done

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-images
	cp -r COPYING $(DESTDIR)/usr/share/doc/live-images

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling image configs
	rm -rf $(DESTDIR)/usr/share/live/images
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-images
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== debian/changelog ===
live-images (5.0~a5-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-images (5.0~a5-1) unstable; urgency=low

  [ Carlos Zuferri ]
  * Adding initial Spanish translation of manpage.
  * Updating dates in manpages files.

  [ Daniel Baumann ]
  * Synchronising gitignore file for standard config with all the other
    gitignore files.
  * Marking pciutils to be included only when non-free is enabled.
  * Wrap and sort debian control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 11:02:33 +0200

=== debian/control ===
Source: live-images
Section: misc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Build-Depends:
 debhelper (>= 9),
Standards-Version: 3.9.6
Homepage: http://live-systems.org/devel/live-images/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-images.git
Vcs-Git: git://live-systems.org/git/live-images.git

Package: live-image-cinnamon-desktop
Architecture: all
Depends:
 live-build (>= 4.0~),
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (Cinnamon desktop)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package contains the configuration directory for the Cinnamon desktop
 image.

Package: live-image-gnome-desktop
Architecture: all
Depends:
 live-build (>= 4.0~),
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (GNOME desktop)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package contains the configuration directory for the GNOME desktop image.

Package: live-image-kde-desktop
Architecture: all
Depends:
 live-build (>= 4.0~),
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (KDE desktop)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package contains the configuration directory for the KDE desktop image.

Package: live-image-lxde-desktop
Architecture: all
Depends:
 live-build (>= 4.0~),
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (LXDE desktop)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package contains the configuration directory for the LXDE desktop image.

Package: live-image-mate-desktop
Architecture: all
Depends:
 live-build (>= 4.0~),
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (MATE desktop)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package contains the configuration directory for the MATE desktop image.

Package: live-image-standard
Architecture: all
Depends:
 live-build (>= 4.0~),
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (standard)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package contains the configuration directory for the standard image.

Package: live-image-xfce-desktop
Architecture: all
Depends:
 live-build (>= 4.0~),
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (Xfce desktop)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package contains the configuration directory for the Xfce desktop image.

Package: live-images
Architecture: all
Section: metapackages
Depends:
 live-image-cinnamon-desktop,
 live-image-gnome-desktop,
 live-image-kde-desktop,
 live-image-lxde-desktop,
 live-image-mate-desktop,
 live-image-standard,
 live-image-xfce-desktop,
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Image Components (metapackage)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-images contains the configuration directories for live-build to build
 live system images.
 .
 This package is a metapackage depending on all available configuration
 directories.
